dbXML API

## com.dbxml.db.common.xupdate
Class XUpdateQueryResolver

    java.lang.Object
      com.dbxml.util.SimpleConfigurable
          com.dbxml.db.common.query.QueryResolverBase
              com.dbxml.db.common.xupdate.XUpdateQueryResolver

All Implemented Interfaces:
  Configurable, QueryResolver

public final class XUpdateQueryResolver
extends QueryResolverBase

XUpdateQueryResolver

Field Summary
`static java.lang.String` `STYLE_XUPDATE`

Constructor Summary
`XUpdateQueryResolver()`

Method Summary
`QueryBase` `createQuery(Collection context, java.lang.String query, NamespaceMap nsMap, Key[] keys)`
`java.lang.String` `getQueryStyle()` getQueryStyle returns the Query style supported by this Resolver.

Methods inherited from class com.dbxml.db.common.query.QueryResolverBase
`compileQuery, query, setQueryEngine`

Methods inherited from class com.dbxml.util.SimpleConfigurable
`getConfig, setConfig`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface com.dbxml.util.Configurable
`getConfig, setConfig`

Field Detail

### STYLE_XUPDATE

    public static final java.lang.String STYLE_XUPDATE

See Also:
  Constant Field Values

Constructor Detail

### XUpdateQueryResolver

    public XUpdateQueryResolver()

Method Detail

### getQueryStyle

    public java.lang.String getQueryStyle()

  Description copied from interface: `QueryResolver`
  getQueryStyle returns the Query style supported by this Resolver.

  Returns:
    The query style

### createQuery

    public QueryBase createQuery(Collection context,
                                 java.lang.String query,
                                 NamespaceMap nsMap,
                                 Key[] keys)
                          throws QueryException

  Specified by:
    `createQuery` in class `QueryResolverBase`
  Throws:
    `QueryException`

dbXML API

Copyright (c) 2004 The dbXML Group